/***************************************************************************
symbols.h
**************************************************************************/

static char *cone = "\n\
unit { \n\
  { OFF\n\
22   40	  120\n\
0.000000   1.000000   0.000000\n\
0.000000   0.000000   0.000000\n\
0.500000   0.000000   0.000000\n\
0.475528   0.000000   0.154508\n\
0.404508   0.000000   0.293893\n\
0.293893   0.000000   0.404508\n\
0.154508   0.000000   0.475528\n\
0.000000   0.000000   0.500000\n\
-0.154508   0.000000   0.475528\n\
-0.293893   0.000000   0.404508\n\
-0.404508   0.000000   0.293893\n\
-0.475528   0.000000   0.154508\n\
-0.500000   0.000000   0.000000\n\
-0.475528   0.000000   -0.154508\n\
-0.404508   0.000000   -0.293893\n\
-0.293893   0.000000   -0.404508\n\
-0.154508   0.000000   -0.475528\n\
-0.000000   0.000000   -0.500000\n\
0.154508   0.000000   -0.475528\n\
0.293893   0.000000   -0.404508\n\
0.404508   0.000000   -0.293893\n\
0.475528   0.000000   -0.154508\n\
3	2	3	0\n\
3	3	2	1\n\
3	3	4	0\n\
3	4	3	1\n\
3	4	5	0\n\
3	5	4	1\n\
3	5	6	0\n\
3	6	5	1\n\
3	6	7	0\n\
3	7	6	1\n\
3	7	8	0\n\
3	8	7	1\n\
3	8	9	0\n\
3	9	8	1\n\
3	9	10	0\n\
3	10	9	1\n\
3	10	11	0\n\
3	11	10	1\n\
3	11	12	0\n\
3	12	11	1\n\
3	12	13	0\n\
3	13	12	1\n\
3	13	14	0\n\
3	14	13	1\n\
3	14	15	0\n\
3	15	14	1\n\
3	15	16	0\n\
3	16	15	1\n\
3	16	17	0\n\
3	17	16	1\n\
3	17	18	0\n\
3	18	17	1\n\
3	18	19	0\n\
3	19	18	1\n\
3	19	20	0\n\
3	20	19	1\n\
3	20	21	0\n\
3	21	20	1\n\
3	21	2	0\n\
3	2	21	1\n\
  }\n\
}\n\
";

static char *sphere = "\n\
unit { \n\
  { MESH\n\
10 10\n\
0 0 1\n\
0 0 1\n\
0 0 1\n\
0 0 1\n\
0 0 1\n\
0 0 1\n\
0 0 1\n\
0 0 1\n\
0 0 1\n\
0 0 1\n\
  \n\
0.34202 0 0.9396\n\
0.262003 0.219846 0.939693\n\
0.0593912 0.336824 0.939693\n\
-0.17101 0.296198 0.939693\n\
-0.321394 0.116978 0.939693\n\
-0.321394 -0.116978 0.939693\n\
-0.17101 -0.296198 0.939693\n\
0.0593912 -0.336824 0.939693\n\
0.262003 -0.219846 0.939693\n\
0.34202 -8.37708e-17 0.939693\n\
 \n\
0.642788 0 0.766044\n\
0.492404 0.413176 0.766044\n\
0.111619 0.633022 0.766044\n\
-0.321394 0.55667 0.766044\n\
-0.604023 0.219846 0.766044\n\
-0.604023 -0.219846 0.766044\n\
-0.321394 -0.55667 0.766044\n\
0.111619 -0.633022 0.766044\n\
0.492404 -0.413176 0.766044\n\
0.642788 -1.57438e-16 0.766044\n\
 \n\
0.866025 0 0.5\n\
0.663414 0.55667 0.5\n\
0.150384 0.852869 0.5\n\
-0.433013 0.75 0.5\n\
-0.813798 0.296198 0.5\n\
-0.813798 -0.296198 0.5\n\
-0.433013 -0.75 0.5\n\
0.150384 -0.852869 0.5\n\
0.663414 -0.55667 0.5\n\
0.866025 -2.12115e-16 0.5\n\
 \n\
0.984808 0 0.173648\n\
0.754407 0.633022 0.173648\n\
0.17101 0.969846 0.173648\n\
-0.492404 0.852868 0.173648\n\
-0.925417 0.336824 0.173648\n\
-0.925417 -0.336824 0.173648\n\
-0.492404 -0.852869 0.173648\n\
0.17101 -0.969846 0.173648\n\
0.754407 -0.633022 0.173648\n\
0.984808 -2.41208e-16 0.173648\n\
 \n\
0.984808 0 -0.173648\n\
0.754407 0.633022 -0.173648\n\
0.17101 0.969846 -0.173648\n\
-0.492404 0.852868 -0.173648\n\
-0.925417 0.336824 -0.173648\n\
-0.925417 -0.336824 -0.173648\n\
-0.492404 -0.852869 -0.173648\n\
0.17101 -0.969846 -0.173648\n\
0.754407 -0.633022 -0.173648\n\
0.984808 -2.41208e-16 -0.173648\n\
 \n\
0.866025 0 -0.5\n\
0.663414 0.55667 -0.5\n\
0.150384 0.852868 -0.5\n\
-0.433013 0.75 -0.5\n\
-0.813798 0.296198 -0.5\n\
-0.813798 -0.296198 -0.5\n\
-0.433013 -0.75 -0.5\n\
0.150384 -0.852868 -0.5\n\
0.663414 -0.55667 -0.5\n\
0.866025 -2.12115e-16 -0.5\n\
 \n\
0.642788 0 -0.766044\n\
0.492404 0.413176 -0.766044\n\
0.111619 0.633022 -0.766044\n\
-0.321394 0.55667 -0.766044\n\
-0.604023 0.219846 -0.766044\n\
-0.604023 -0.219846 -0.766044\n\
-0.321394 -0.55667 -0.766044\n\
0.111619 -0.633022 -0.766044\n\
0.492404 -0.413176 -0.766044\n\
0.642788 -1.57438e-16 -0.766044\n\
 \n\
0.34202 0 -0.939693\n\
0.262003 0.219846 -0.939693\n\
0.0593912 0.336824 -0.939693\n\
-0.17101 0.296198 -0.939693\n\
-0.321394 0.116978 -0.939693\n\
-0.321394 -0.116978 -0.939693\n\
-0.17101 -0.296198 -0.939693\n\
0.0593912 -0.336824 -0.939693\n\
0.262003 -0.219846 -0.939693\n\
0.34202 -8.37708e-17 -0.939693\n\
 \n\
1.22465e-16 0 -1\n\
9.38134e-17 7.87188e-17 -1\n\
2.12658e-17 1.20604e-16 -1\n\
-6.12323e-17 1.06058e-16 -1\n\
-1.15079e-16 4.18854e-17 -1\n\
-1.15079e-16 -4.18854e-17 -1\n\
-6.12323e-17 -1.06058e-16 -1\n\
2.12658e-17 -1.20604e-16 -1\n\
9.38134e-17 -7.87188e-17 -1\n\
1.22465e-16 -2.99952e-32 -1\n\
  }\n\
}\n\
";

static char *xyz = "{\n\
=\n\
VECT\n\
8 19 3\n\
2 2 2 2 2 3 2 4\n\
1 0 0 1 0 0 1 0\n\
\n\
0 0 0  1 0 0\n\
1 -.05 .05   1  .05 .25\n\
1  .05 .05   1 -.05 .25\n\
\n\
0 0 0  0 1 0\n\
-.05 1 .25   0  1   .15\n\
 .05 1 .25   0  1   .15   0  1  .05\n\
\n\
0 0 0  0 0 1\n\
-.05 .25 1  .05 .25 1   -.05 .05 1   .05  .05  1\n\
\n\
1 0 0 1\n\
0 1 0 1\n\
0 .6 1 1\n}";

static char *origin = "\n\
unit { \n\
  { VECT\n\
8 19 3\n\
2 2 2 2 2 3 2 4\n\
1 0 0 1 0 0 1 0\n\
\n\
0 0 0  1 0 0\n\
1 -.05 .05   1  .05 .25\n\
1  .05 .05   1 -.05 .25\n\
\n\
0 0 0  0 1 0\n\
-.05 1 .25   0  1   .15\n\
 .05 1 .25   0  1   .15   0  1  .05\n\
\n\
0 0 0  0 0 1\n\
-.05 .25 1  .05 .25 1   -.05 .05 1   .05  .05  1\n\
\n\
1 0 0 1\n\
0 1 0 1\n\
0 .6 1 1\n\
  }\n\
}\n\
";

static char *color1 = "\n\
0.26 0.7 0.7 1\
\n}\n";

static char *fzold = "\n\
unit { \n\
  { VECT\n\
3 6 1\n\
2 2 2\n\
1 0 0\n\
\n\
0 0 0  0 0 0.5\n\
.05 0 .4  0 0 0.5\n\
0 0 0.5  -.05 0 .4\n\
\n\
1 0 0 1\n\
  }\n\
}\n\
";

static char *fz = "\n\
unit { \n\
  { VECT\n\
5 10 1\n\
2 2 2 2 2\n\
1 0 0 0 0\n\
\n\
0 0 0  0 0 0.5\n\
.05 0 .4  0 0 0.5\n\
0 0 0.5  -.05 0 .4\n\
0 .05 .4  0 0 0.5\n\
0 0 0.5  0 -.05 .4\n\
\n\
1 0 0 1\n\
  }\n\
}\n\
";

static char *constraint = "\n\
unit { \n\
  { OFF\n\
    5 2 6\n\
    0 0 0\n\
    -.1 0 .3\n\
    .1 0 .3\n\
    0 -.1 .3\n\
    0 .1 .3\n\
    3 0 1 2 1 0 0 1\n\
    3 0 3 4 1 0 0 1\n\
\n\
  }\n\
}\n\
";

static char *constraintrot = "\n\
unit { \n\
  { OFF\n\
    10 4 12\n\
    0 0 0\n\
    -.07 -.07 .3\n\
    .07 .07 .3\n\
    -.07 .07 .3\n\
    .07 -.07 .3\n\
    0 0 .3\n\
    -.07 -.07 .6\n\
    .07 .07 .6\n\
    -.07 .07 .6\n\
    .07 -.07 .6\n\
    3 0 1 2 0 1 0 1 \n\
    3 0 3 4 0 1 0 1 \n\
    3 5 6 7 0 1 0 1 \n\
    3 5 8 9 0 1 0 1 \n\
\n\
  }\n\
}\n\
";

static char *cross = "\n\
unit { \n\
  { VECT\n\
3 6 1\n\
2 2 2\n\
1 0 0\n\
\n\
-.1 0 0  .1 0 0\n\
0 -.1 0  0 .1 0\n\
0 0 -.1  0 0 .1\n\
\n\
1 1 1 1\n\
  }\n\
}\n\
";

static char *transformz = "\n\
INST\n\
  transform\n\
    1 0 0 0\n\
    0 1 0 0\n\
    0 0 1 0\n\
";
static char *transformx = "\n\
INST\n\
  transform\n\
    0 1 0 0\n\
    0 0 1 0\n\
    1 0 0 0\n\
";
static char *transformy = "\n\
INST\n\
  transform\n\
    0 0 1 0\n\
    1 0 0 0\n\
    0 1 0 0\n\
";

static char *zero = " \nunit { { VECT 2 11 1  2 9  1 0 0 20 0  28 56 0 24 0 0  8 0 0  0 8 0  0 48 0  8 64 0 24 64 0  32 52 0  32 12 0  24 0 0 1 1 1 1}} ";
static char *one = " \nunit { { VECT 2 5 1  2 3  1 0 4 0 0  28 0 0 4 44 0  16 64 0  16 0 0 1 1 1 1} } ";
static char *two = " \nunit { { VECT 1 7 1  7  1 0 56 0  8 64 0  24 64 0  32 56 0  32 40 0  0 0 0  32 0 0 1 1 1 1} } ";
static char *three = " \nunit { { VECT 2 13 1  2 11  1 0 8 36 0  24 36 0 0 56 0  8 64 0  24 64 0  32 56 0 32 44 0  24 36 0  32 24 0  32 8 0  24 0 0  8 0 0  0 8 0 1 1 1 1} } ";
static char *four = " \nunit { { VECT 2 5 1  2 3  1 0 28 64 0  28 0 0 12 64 0  0 36 0  36 36 0 1 1 1 1} } ";
static char *five = " \nunit { { VECT 1 9 1  9  1 28 64 0  4 64 0  0 36 0  24 36 0  32 24 0  32 8 0  24 0 0 8 0 0  0 8 0 1 1 1 1} } ";
static char *six = " \nunit { { VECT 1 12 1  12  1 32 56 0  24 64 0  8 64 0  0 56 0  0 8 0  8 0 0  24 0 0 32 8 0  32 28 0  24 36 0  8 36 0  0 28 0 1 1 1 1} } ";
static char *seven = " \nunit { { VECT 1 4 1  4  1 0 56 0  4 64 0  32 64 0  8 0 0 1 1 1 1} } ";
static char *eight = " \nunit { { VECT 1 16 1  16  1 20 36 0  28 44 0  28 56 0  20 64 0  12 64 0  4 56 0  4 44 0  12 36 0  20 36 0  32 24 0  32 8 0  24 0 0  8 0 0  0 8 0  0 24 0  12 36 0 1 1 1 1} } ";
static char *nine = " \nunit { { VECT 1 12 1  12  1 32 44 0  24 36 0  8 36 0  0 44 0  0 56 0  8 64 0  24 64 0  32 56 0  32 8 0  24 0 0  8 0 0  0 8 0 1 1 1 1} } ";
